/* 
 * File:   cKlinkDeviceFactory.h
 * Author: john
 *
 * Created on 12 April 2011, 10:46 AM
 */

#ifndef CKLINKDEVICEFACTORY_H
#define	CKLINKDEVICEFACTORY_H

#include <cKlinkDevice.h>

class cKlinkDeviceFactory 
{
public:
    cKlinkDeviceFactory();
    cKlinkDeviceFactory(const cKlinkDeviceFactory& orig);
    virtual ~cKlinkDeviceFactory();
    virtual cKlinkDevice * createDevice(uint16_t dev_tpe,uint8_t bus_addr,uint32_t ser_num) = 0;
private:

};

#endif	/* CKLINKDEVICEFACTORY_H */

